## org.eclipse.datatools.modelbase.sql.tables
Interface Table

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject

All Known Subinterfaces:
  BaseTable, DerivedTable, IngresViewTable, PersistentTable, RoutineResultTable, SybaseASABaseProxyTable, SybaseASABaseTable, SybaseASABaseTempTable, SybaseASABaseViewTable, SybaseASATable, SybaseASATempTable, SybaseASEBaseTable, SybaseASEProxyTable, SybaseASETable, SybaseASETempTable, SybaseASEViewTable, SybaseASEWebServiceTable, SybaseBaseTable, SybaseViewTable, Synonym, TemporaryTable, ViewTable

All Known Implementing Classes:
  org.eclipse.datatools.modelbase.sql.tables.impl.BaseTableImpl, org.eclipse.datatools.modelbase.sql.tables.impl.DerivedTableImpl, IngresViewTableImpl, JDBCTable, JDBCTemporaryTable, JDBCView, MySqlCatalogTable, org.eclipse.datatools.modelbase.sql.tables.impl.PersistentTableImpl, SybaseASABaseProxyTableImpl, SybaseASABaseTableImpl, SybaseASABaseTempTableImpl, SybaseASABaseViewTableImpl, SybaseASACatalogBaseProxyTable, SybaseASACatalogBaseTempTable, SybaseASACatalogBaseViewTable, SybaseASACatalogTable, SybaseASACatalogTempTable, SybaseASATableImpl, SybaseASATempTableImpl, SybaseASEBaseTableImpl, SybaseASECatalogProxyTable, SybaseASECatalogTable, SybaseASECatalogTempTable, SybaseASECatalogView, SybaseASECatalogWebServiceTable, SybaseASEProxyTableImpl, SybaseASETableImpl, SybaseASETempTableImpl, SybaseASEViewTableImpl, SybaseASEWebServiceTableImpl, SybaseBaseTableImpl, SybaseViewTableImpl, org.eclipse.datatools.modelbase.sql.tables.impl.TableImpl, org.eclipse.datatools.modelbase.sql.tables.impl.TemporaryTableImpl, org.eclipse.datatools.modelbase.sql.tables.impl.ViewTableImpl

    public interface Table

extends SQLObject

A representation of the model object 'Table'. Reference: 5WD-02-Foundation-2002-12 4.14 Tables

The following features are supported:

- `Columns`
- `Supertable`
- `Subtables`
- `Schema`
- `Udt`
- `Triggers`
- `Index`
- `Self Ref Column Generation`
- `Insertable`
- `Updatable`

See Also:
  `SQLTablesPackage.getTable()`

Method Summary
`org.eclipse.emf.common.util.EList` `getColumns()` Returns the value of the 'Columns' containment reference list.
`org.eclipse.emf.common.util.EList` `getIndex()` Returns the value of the 'Index' reference list.
`Schema` `getSchema()` Returns the value of the 'Schema' reference.
`ReferenceType` `getSelfRefColumnGeneration()` Returns the value of the 'Self Ref Column Generation' attribute.
`org.eclipse.emf.common.util.EList` `getSubtables()` Returns the value of the 'Subtables' reference list.
`Table` `getSupertable()` Returns the value of the 'Supertable' reference.
`org.eclipse.emf.common.util.EList` `getTriggers()` Returns the value of the 'Triggers' reference list.
`StructuredUserDefinedType` `getUdt()` Returns the value of the 'Udt' reference.
`boolean` `isInsertable()` Returns the value of the 'Insertable' attribute.
`boolean` `isUpdatable()` Returns the value of the 'Updatable' attribute.
`void` `setSchema(Schema value)` Sets the value of the '`Schema`' reference.
`void` `setSelfRefColumnGeneration(ReferenceType value)` Sets the value of the '`Self Ref Column Generation`' attribute.
`void` `setSupertable(Table value)` Sets the value of the '`Supertable`' reference.
`void` `setUdt(StructuredUserDefinedType value)` Sets the value of the '`Udt`' reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getColumns

    org.eclipse.emf.common.util.EList getColumns()

  Returns the value of the 'Columns' containment reference list. The list contents are of type `Column`. It is bidirectional and its opposite is '`Table`'.

  If the meaning of the 'Columns' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Columns' containment reference list.
  See Also:
    `SQLTablesPackage.getTable_Columns()`, `Column.getTable()`

### getSupertable

    Table getSupertable()

  Returns the value of the 'Supertable' reference. It is bidirectional and its opposite is '`Subtables`'.

  If the meaning of the 'Supertable' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Supertable' reference.
  See Also:
    `setSupertable(Table)`, `SQLTablesPackage.getTable_Supertable()`, `getSubtables()`

### setSupertable

    void setSupertable(Table value)

  Sets the value of the '`Supertable`' reference.

  Parameters:
    `value` - the new value of the 'Supertable' reference.
  See Also:
    `getSupertable()`

### getSubtables

    org.eclipse.emf.common.util.EList getSubtables()

  Returns the value of the 'Subtables' reference list. The list contents are of type `Table`. It is bidirectional and its opposite is '`Supertable`'.

  If the meaning of the 'Subtables' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Subtables' reference list.
  See Also:
    `SQLTablesPackage.getTable_Subtables()`, `getSupertable()`

### getSchema

    Schema getSchema()

  Returns the value of the 'Schema' reference. It is bidirectional and its opposite is '`Tables`'.

  If the meaning of the 'Schema' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Schema' reference.
  See Also:
    `setSchema(Schema)`, `SQLTablesPackage.getTable_Schema()`, `Schema.getTables()`

### setSchema

    void setSchema(Schema value)

  Sets the value of the '`Schema`' reference.

  Parameters:
    `value` - the new value of the 'Schema' reference.
  See Also:
    `getSchema()`

### getUdt

    StructuredUserDefinedType getUdt()

  Returns the value of the 'Udt' reference.

  If the meaning of the 'Udt' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Udt' reference.
  See Also:
    `setUdt(StructuredUserDefinedType)`, `SQLTablesPackage.getTable_Udt()`

### setUdt

    void setUdt(StructuredUserDefinedType value)

  Sets the value of the '`Udt`' reference.

  Parameters:
    `value` - the new value of the 'Udt' reference.
  See Also:
    `getUdt()`

### getTriggers

    org.eclipse.emf.common.util.EList getTriggers()

  Returns the value of the 'Triggers' reference list. The list contents are of type `Trigger`. It is bidirectional and its opposite is '`Subject Table`'.

  If the meaning of the 'Triggers' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Triggers' reference list.
  See Also:
    `SQLTablesPackage.getTable_Triggers()`, `Trigger.getSubjectTable()`

### getIndex

    org.eclipse.emf.common.util.EList getIndex()

  Returns the value of the 'Index' reference list. The list contents are of type `Index`. It is bidirectional and its opposite is '`Table`'.

  If the meaning of the 'Index' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Index' reference list.
  See Also:
    `SQLTablesPackage.getTable_Index()`, `Index.getTable()`

### getSelfRefColumnGeneration

    ReferenceType getSelfRefColumnGeneration()

  Returns the value of the 'Self Ref Column Generation' attribute. The literals are from the enumeration `ReferenceType`.

  If the meaning of the 'Self Ref Column Generation' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Self Ref Column Generation' attribute.
  See Also:
    `ReferenceType`, `setSelfRefColumnGeneration(ReferenceType)`, `SQLTablesPackage.getTable_SelfRefColumnGeneration()`

### setSelfRefColumnGeneration

    void setSelfRefColumnGeneration(ReferenceType value)

  Sets the value of the '`Self Ref Column Generation`' attribute.

  Parameters:
    `value` - the new value of the 'Self Ref Column Generation' attribute.
  See Also:
    `ReferenceType`, `getSelfRefColumnGeneration()`

### isInsertable

    boolean isInsertable()

  Returns the value of the 'Insertable' attribute.

  If the meaning of the 'Insertable' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Insertable' attribute.
  See Also:
    `SQLTablesPackage.getTable_Insertable()`

### isUpdatable

    boolean isUpdatable()

  Returns the value of the 'Updatable' attribute.

  If the meaning of the 'Updatable' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Updatable' attribute.
  See Also:
    `SQLTablesPackage.getTable_Updatable()`